Get the Proxy Server Configuration at the Manager Level

Prev Next

This URL gets the proxy server configuration at the Manager level.

Resource URL

GET /domain/proxyserver

Request Parameters

URL Parameters: None

Response Parameters

Following fields are returned.

Field Name Description Data Type
useProxyserver Use proxy server configuration Boolean
proxyServerNameOrIPAddr Proxy server name/IP configuration String
proxyPort Proxy port configuration Number
userName Username String
password Password String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/proxyserver

Response

 {
"useProxyserver": false,
"proxyServerNameOrIPAddr": 1.1.1.1,
"proxyPort": 8443,
"userName": null,
"password": null
 } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error